Skip to main content
GET
/
contractors
List contractors
curl --request GET \
  --url https://app.lanten.co/api/open/v1/contractors \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyName": "<string>",
      "contactName": "<string>",
      "email": "jsmith@example.com",
      "phoneNumber": "<string>",
      "fullAddress": "<string>",
      "status": "active",
      "trades": [
        "<string>"
      ],
      "coveragePostcodes": [
        "<string>"
      ],
      "certifications": [
        {
          "type": "<string>",
          "registrationNumber": "<string>",
          "expiryDate": "2023-11-07T05:31:56Z"
        }
      ],
      "insurance": [
        {
          "type": "<string>",
          "amount": 123,
          "expiryDate": "2023-11-07T05:31:56Z"
        }
      ],
      "rating": 123,
      "completedJobs": 123,
      "notes": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 42,
    "page": 1,
    "pageSize": 20,
    "pageCount": 3
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

Search by company name, contact name, email, or phone number.

status
enum<string>
Available options:
active,
inactive,
on_holiday
page
integer
default:1
pageSize
integer
default:20
Required range: x <= 50

Response

Paginated list of contractors

data
object[]
pagination
object